#!/usr/bin/env bash
set -e
rootdir=$PWD
cd third_party

echo "------------------------------------------------------------------------------
                           Compiling cmake
------------------------------------------------------------------------------
"
cd cmake
./bootstrap --prefix $PWD
make
cd ..
echo "
------------------------------------------------------------------------------
                           cmake compiled
------------------------------------------------------------------------------
"

echo "
------------------------------------------------------------------------------
                           Compiling Bamtools
------------------------------------------------------------------------------
"
cd bamtools
mkdir build
cd build
$rootdir/third_party/cmake/bin/cmake ..
make
cd $rootdir
echo "
------------------------------------------------------------------------------
                            Bamtools compiled
------------------------------------------------------------------------------
"

echo "
------------------------------------------------------------------------------
                              Compiling Tabix
------------------------------------------------------------------------------
"
cd third_party/tabix
make
cd ..
echo "
------------------------------------------------------------------------------
                              Tabix compiled
------------------------------------------------------------------------------
"

echo "
------------------------------------------------------------------------------
                             Compiling snpomatic
------------------------------------------------------------------------------
"
cd snpomatic
make
cd ..
echo "
------------------------------------------------------------------------------
                              snpomatic compiled
------------------------------------------------------------------------------
"

echo "
------------------------------------------------------------------------------
                             Compiling samtools
------------------------------------------------------------------------------
"
cd samtools
make
echo "
------------------------------------------------------------------------------
                              samtools compiled
------------------------------------------------------------------------------
"

echo "
------------------------------------------------------------------------------
                               Compiling Reapr
------------------------------------------------------------------------------
"
cd $rootdir/src
make
cd ..
echo "
Reapr compiled

All done!

Run
./reapr
for usage.

Read the manual
manual.pdf
for full instructions
"

